## CREATE ROLE-Anweisung (create_role_statement)

Die CREATE ROLE-Anweisung (create_role_statement) definiert eine Rolle.

### Syntax

<create_role_statement> ::= CREATE ROLE <role_name> [IDENTIFIED BY <password>]

### Beispiele

SQL-Tutorial, Rollen

### Erläuterung

Der aktuelle Datenbankbenutzer muss ein Datenbankadministrator (DBA-Benutzer) sein.

Der Rollenname darf nicht mit dem Namen einer bereits existierenden Rolle, eines Datenbankbenutzers oder einer Benutzergruppe übereinstimmen.